MYX(4)

NAME
myx - Myricom Myri-10G PCI Express 10Gb Ethernet device

SYNOPSIS
myx* at pci?

DESCRIPTION
The myx driver supports the Myricom Myri-10G PCI Express 10Gb Ethernet adapters based on the Myricom Lanai-Z8E chipset, including the following:

•   Myricom 10G-PCIE-8A-C Adapter (10GbaseCX4)
•   Myricom 10G-PCIE-8AL-C Low Profile Adapter (10GbaseCX4)
•   Myricom 10G-PCIE-8A-R Adapter (10GbaseSR/LR)
•   Myricom 10G-PCIE-8AL-R Low Profile Adapter (10GbaseSR/LR)
•   Myricom 10G-PCIE-8A-Q Adapter (10G XAUI)
•   Myricom 10G-PCIE-8AL-Q Low Profile Adapter (10G XAUI)

FILES
The adapter needs a firmware file, which is selected and loaded on demand by the driver when the device is attached:

/etc/firmware/myx-eth_z8e
/etc/firmware/myx-ethp_z8e

SEE ALSO
arp(4), ifmedia(4), intro(4), netintro(4), pci(4), hostname.if(5), ifconfig(8)

Myricom, Inc. http://www.myri.com

HISTORY
The myx driver first appeared in OpenBSD 4.2.

AUTHORS
-nosplit The myx driver was written by Reyk Floeter <reyk@openbsd.org>.